import { axios } from '@/utils/request'

// 充值设置  有分页
export const rechargeRuleList = (params) => {
  const url = `/rechargeRule/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 充值设置  新增
export const rechargeRuleCreate = (params) => {
  return axios({
    url: '/rechargeRule/create',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('新增')
    }
  })
}

// 充值设置  编辑
export const rechargeRuleModify = (params) => {
  return axios({
    url: '/rechargeRule/modify',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('编辑')
    }
  })
}

// 充值设置   获取详情
export const rechargeRuleDetail = (params) => {
  return axios({
    url: `/rechargeRule/findBySn/${params.sn}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('详情')
    }
  })
}

// 充值设置   修改状态
export const rechargeRuleUpdateState = (params) => {
  return axios({
    url: '/rechargeRule/updateState',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('修改状态')
    }
  })
}

// 充值设置  删除
export const rechargeRuleDel = (params) => {
  return axios({
    url: '/rechargeRule/delete',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('删除')
    }
  })
}
