import { axios } from '@/utils/request'

//  补贴产品 列表  有分页
export const subsidizedProductList = (params) => {
  const url = `/shopProductSubsidy/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 补贴产品 批量删除
export const subsidizedProductDel = (params) => {
  return axios({
    url: `/shopProductSubsidy/delBatch`,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('删除')
    }
  })
}

// 补贴产品  批量编辑
export const subsidizedProductEdit = (params) => {
  return axios({
    url: '/shopProductSubsidy/editBatch',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('编辑')
    }
  })
}

// 补贴产品   新增  弹窗产品列表  有分页
export const queryProductPageList = (params) => {
  const url = `/shopProductSubsidy/queryProductPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 补贴产品 新增  批量保存
export const subsidizedProductSave = (params) => {
  return axios({
    url: `/shopProductSubsidy/saveBatch`,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('保存')
    }
  })
}

// 补贴产品  错误项导出
export const exportImportDetailError = (params) => {
  return axios({
    url: '/shopProductSubsidy/exportImportDetailError',
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出错误项')
    }
  })
}
